=== tester/Makefile ===
all:
	gcc -Wall -c cattester.c -I ../libwcat
	gcc -o cattester cattester.o -L ../libwcat -lwcat
