=== debian/changelog ===
watchcatd (1.2.1-4) unstable; urgency=medium

  * QA upload
  * Convert to 3.0 source format (Closes: #1007562)

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 14:39:43 +0100

watchcatd (1.2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with libevent 2.1 (Closes: #869902)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 09 Aug 2017 00:08:58 -0400

watchcatd (1.2.1-3) unstable; urgency=low

  * Use /run instead of /var/run

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 24 Apr 2013 15:25:36 +0200

watchcatd (1.2.1-2) unstable; urgency=low

  * Fixed issue with recent glibc and sent patch upstream

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 23 Apr 2013 23:38:54 +0200

watchcatd (1.2.1-1) unstable; urgency=low

  * Initial Release. (Closes: #603218)

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 23 Apr 2013 19:07:01 +0200
