=== debian/control ===
Source: watchcatd
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), libevent-dev, dpkg-dev (>= 1.16.1~)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.4
Homepage: http://oss.digirati.com.br/watchcatd/

Package: watchcatd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Process monitoring daemon
 A bug or malicious attacks to machine can lock up a process, leading to a
 deadlock or an unexpected condition. For example: an Apache httpd with
 mod_(php|perl|lua|your_preferred_script_language) running a bad script. When
 the monitored process locks up, the watchcat helps killing him. It is the best
 thing to do.
