=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	cp catmaster debian/watchcatd/usr/bin
	cp catslave debian/watchcatd/usr/lib/watchcatd
	cp watchcatd.prod.conf debian/watchcatd/etc/watchcatd.conf
	cp watchcatd.8 debian/watchcatd/usr/share/man/man8
	cp watchcatd.conf.5 debian/watchcatd/usr/share/man/man5
